[metadata]
name = gemseo-calibration
author = Matthias De Lozzo
author_email = contact@gemseo.org
url = https://gitlab.com/gemseo
project_urls =
    Source = https://gitlab.com/gemseo/dev/gemseo-calibration
    Tracker = https://gitlab.com/gemseo/dev/gemseo-calibration/-/issues
description = Capability to calibrate GEMSEO disciplines from data.
long_description = file: README.rst
long_description_content_type = text/x-rst
license = GNU Lesser General Public License v3
license_files =
    LICENSE.txt
    CREDITS.rst
classifiers =
    License :: OSI Approved :: GNU Lesser General Public License v3 (LGPLv3)
    Intended Audience :: Science/Research
    Topic :: Scientific/Engineering
    Operating System :: POSIX :: Linux
    Operating System :: MacOS
    Operating System :: Microsoft :: Windows
    Programming Language :: Python :: 3 :: Only
    Programming Language :: Python :: 3.8
    Programming Language :: Python :: 3.9
    Programming Language :: Python :: 3.10

[options]
package_dir =
    =src
packages = find:
include_package_data = true
python_requires = >=3.8, <3.11
install_requires =
    gemseo[all] >=4.0.0
    matplotlib
    numpy

[options.packages.find]
where = src

[options.extras_require]
test =
    covdefaults
    pytest
    pytest-cov
    pytest-xdist

[bdist_wheel]
universal = true

# tools settings

[coverage:run]
plugins = covdefaults
source = gemseo_calibration

[coverage:report]
# Override covdefaults.
fail_under = 1

[flake8]
# See http://www.pydocstyle.org/en/latest/error_codes.html for more details.
# https://github.com/PyCQA/flake8-bugbear#how-to-enable-opinionated-warnings
ignore =
    E501
    # no docstring for standard and private methods
    D105
    E203
    W503
    # Missing type annotation for self in method.
    ANN101
    # Missing type annotation for cls in classmethod.
    ANN102
    # Dynamically typed expressions (typing.Any) are disallowed.
    ANN401
select = ANN,B,C,D,E,F,G,N,T,W,B950
# settings for compatibility with black, see
# https://github.com/psf/black/blob/master/docs/compatible_configs.md#flake8
# https://black.readthedocs.io/en/stable/the_black_code_style.html?highlight=bugbear#line-length
max-line-length = 88
docstring-convention = google
per-file-ignores =
    tests/*.py: D100,D104,ANN
    # T201 print found
    doc_src/*.py: D,T201
